Bug 166623 - Authconfig reports critical error because samba not installed
Authconfig reports critical error because samba not installed
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: authconfig (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-08-23 18:26 EDT by Kyle Powell
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-24 04:34:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kyle Powell 2005-08-23 18:26:34 EDT
Description of problem:
[root@machine ~]# /usr/sbin/authconfig --enablelocauthorize --enableshadow
--enablekrb5 --krb5realm ABC.COM --krb5kdc kerb.domain.abc.com --krb5adminserver
kerb.domain.abc.com --kickstart
authconfig: critical error writing /etc//samba/smb.conf: No such file or directory
setsebool:  SELinux is disabled.

Since samba / samba-common is not installed, and no reference was made to samba
in the authconfig options, authconfig should not be attempting to write to

Since SELinux is disabled, authconfig should not be calling setsebool.

Version-Release number of selected component (if applicable):
Comment 1 Kyle Powell 2005-08-23 18:29:58 EDT
This bug has been around a while. It was reported in FC3 as bug #141114 and
erroneously closed as a duplicate of bug #137321, which it is not. It is only
related to the later bug. Please do not close this as a duplicate of 141114
since that bug was not resolved, and please do not "fix" the bug by making
samba-common a prereq for authconfig.
Comment 2 Tomas Mraz 2005-08-24 04:34:28 EDT
The message is harmless and it doesn't affect writing other configuration files.
I agree that authconfig shouldn't mess with files which configuration values
haven't been changed but it is not a change I'd like to introduce in existing
RHEL release.

Authconfig is being rewritten in Python and I'd like to fix these glitches in
the process.

Note You need to log in before you can comment on or make changes to this bug.